com.microfocus.zserver.zexplorer.ui.view

## Class FileMappingsViewDropAdapter

- java.lang.Object
- - org.eclipse.swt.dnd.DropTargetAdapter
  - - org.eclipse.jface.viewers.ViewerDropAdapter
    - - com.microfocus.zserver.zexplorer.ui.view.FileMappingsViewDropAdapter

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.swt.dnd.DropTargetListener, org.eclipse.swt.internal.SWTEventListener

      public class FileMappingsViewDropAdapter
      extends org.eclipse.jface.viewers.ViewerDropAdapter

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerDropAdapter

      `LOCATION_AFTER, LOCATION_BEFORE, LOCATION_NONE, LOCATION_ON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileMappingsViewDropAdapter(org.eclipse.jface.viewers.Viewer pViewer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `performDrop(java.lang.Object pData)`
    `boolean` | `validateDrop(java.lang.Object pTarget, int pOperation, org.eclipse.swt.dnd.TransferData pTransferType)`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerDropAdapter

      `dragEnter, dragOperationChanged, dragOver, drop, dropAccept, getFeedbackEnabled, setExpandEnabled, setFeedbackEnabled, setScrollEnabled, setScrollExpandEnabled, setSelectionFeedbackEnabled`

    - ### Methods inherited from class org.eclipse.swt.dnd.DropTargetAdapter

      `dragLeave`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileMappingsViewDropAdapter

          public FileMappingsViewDropAdapter(org.eclipse.jface.viewers.Viewer pViewer)

  - ### Method Detail

    - #### performDrop

          public boolean performDrop(java.lang.Object pData)

      Specified by:
        `performDrop` in class `org.eclipse.jface.viewers.ViewerDropAdapter`

    - #### validateDrop

          public boolean validateDrop(java.lang.Object pTarget,
                                      int pOperation,
                                      org.eclipse.swt.dnd.TransferData pTransferType)

      Specified by:
        `validateDrop` in class `org.eclipse.jface.viewers.ViewerDropAdapter`

Copyright © 2015 Micro Focus GmbH. All rights reserved.